Bug 1926687 - "spectool -S" lists patches
Summary: "spectool -S" lists patches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmdevtools
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-09 09:26 UTC by Jens Petersen
Modified: 2021-07-26 01:02 UTC (History)
8 users (show)

Fixed In Version: rpmdevtools-9.5-1.fc34 rpmdevtools-9.5-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-18 01:24:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Jens Petersen 2021-02-09 09:26:45 UTC
Description of problem:
spectool gives the same output for "-a", "-S", "-P"
ie all sources and patches get listed.

Similarly "spectool -g -S" also tries to download patches.

This is a regression wrt to F32 (rpmdevtools-8.10)

Version-Release number of selected component (if applicable):
rpmdevtools-9.3-3.fc33
rpmdevtools-9.3-4.fc34

How reproducible:
100%

Steps to Reproduce:
1. spectool -S package.spec

Actual results:
Source0: https://upstream.org/download/package-version.tar.gz
Patch1: package-first-tweak.patch

Expected results:
Only source to be listed not patch

Additional info:
Doesn't happen in F32.

Comment 1 Jens Petersen 2021-02-09 09:31:40 UTC
Also reported upstream now in https://pagure.io/rpmdevtools/issue/80

Comment 2 Vít Ondruch 2021-06-04 10:23:53 UTC
Can we have the https://pagure.io/rpmdevtools/pull-request/81 applied, please?

Comment 3 Fedora Update System 2021-07-17 12:56:50 UTC
FEDORA-2021-ae7ddd9638 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ae7ddd9638

Comment 4 Fedora Update System 2021-07-17 12:57:05 UTC
FEDORA-2021-c7169f3f5a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c7169f3f5a

Comment 5 Fedora Update System 2021-07-18 01:23:52 UTC
FEDORA-2021-c7169f3f5a has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c7169f3f5a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c7169f3f5a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-07-18 01:24:16 UTC
FEDORA-2021-ae7ddd9638 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-07-26 01:02:15 UTC
FEDORA-2021-c7169f3f5a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.